[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[or-cvs] r22730: {torbrowser} - update copyright information and ship a LICENSE for TBB - (in torbrowser/trunk: build-scripts src/RelativeLink)



Author: erinn
Date: 2010-07-30 20:29:49 +0000 (Fri, 30 Jul 2010)
New Revision: 22730

Modified:
   torbrowser/trunk/build-scripts/Makefile.osx
   torbrowser/trunk/src/RelativeLink/RelativeLink.sh
   torbrowser/trunk/src/RelativeLink/RelativeLinkOSX.sh
Log:
- update copyright information and ship a LICENSE for TBB
- remove irrelevant stuff from launch script

Modified: torbrowser/trunk/build-scripts/Makefile.osx
===================================================================
--- torbrowser/trunk/build-scripts/Makefile.osx	2010-07-30 20:19:13 UTC (rev 22729)
+++ torbrowser/trunk/build-scripts/Makefile.osx	2010-07-30 20:29:49 UTC (rev 22730)
@@ -133,7 +133,7 @@
 	cd $(QT_DIR) && make install
 
 VIDALIA_DIR=$(FETCH_DIR)/vidalia-$(VIDALIA_VER)
-VIDALIA_OPTS=-DOSX_TIGER_COMPAT=1 -DOPENSSL_LIBRARY_DIR=$(BUILT_DIR)/lib -DCMAKE_BUILD_TYPE=debug ..
+VIDALIA_OPTS=-DOSX_TIGER_COMPAT=1 -DCMAKE_OSX_ARCHITECTURES=i386 -DOPENSSL_LIBRARY_DIR=$(BUILT_DIR)/lib -DCMAKE_BUILD_TYPE=debug ..
 build-vidalia:
 	export MACOSX_DEPLOYMENT_TARGET=10.4
 	-mkdir $(VIDALIA_DIR)/build
@@ -384,6 +384,7 @@
 	cp $(TOR_DIR)/LICENSE $(TOR_DIR)/README $(DOCSDIR)/Tor
 	cp $(QT_DIR)/LICENSE.GPL* $(QT_DIR)/LICENSE.LGPL $(DOCSDIR)/Qt
 	cp $(POLIPO_DIR)/COPYING  $(POLIPO_DIR)/README $(DOCSDIR)/Polipo
+	cp ../LICENSE $(DEST)
 	# This should be updated to be more generic (version-wise) and more Linux specific
 	cp ../README.Linux $(DOCSDIR)/README-TorBrowserBundle
 

Modified: torbrowser/trunk/src/RelativeLink/RelativeLink.sh
===================================================================
--- torbrowser/trunk/src/RelativeLink/RelativeLink.sh	2010-07-30 20:19:13 UTC (rev 22729)
+++ torbrowser/trunk/src/RelativeLink/RelativeLink.sh	2010-07-30 20:29:49 UTC (rev 22730)
@@ -7,7 +7,7 @@
 #
 # To run in debug mode simply pass --debug
 #
-# Copyright 2010 Erinn Clark <erinn@xxxxxxxxxxxxxx>
+# Copyright 2010 The Tor Project.  See LICENSE for licensing information.
 
 if [ $1 ]; then 
 	debug=$1

Modified: torbrowser/trunk/src/RelativeLink/RelativeLinkOSX.sh
===================================================================
--- torbrowser/trunk/src/RelativeLink/RelativeLinkOSX.sh	2010-07-30 20:19:13 UTC (rev 22729)
+++ torbrowser/trunk/src/RelativeLink/RelativeLinkOSX.sh	2010-07-30 20:29:49 UTC (rev 22730)
@@ -7,14 +7,12 @@
 #
 # To run in debug mode simply pass --debug
 #
-# Copyright 2010 Erinn Clark <erinn@xxxxxxxxxxxxxx>
+# Copyright 2010 The Tor Project.  See LICENSE for licensing information.
 
-if [ $1 ]; then 
-	debug=$1
+if [ "$1" == "--debug" ]; then 
 	printf "\nDebug enabled.\n\n"
 fi
 
-# If ${PWD} results in a zero length HOME, we can try something else...
 HOME="${0%%Contents/MacOS/TorBrowserBundle}"
 export HOME
 
@@ -25,26 +23,12 @@
 export DYLD_PRINT_LIBRARIES
 
 if [ "${debug}" ]; then
-	if [ -n "${surveysays}" ]; then 
-		printf "\nSurvey says: $surveysays\n\n"
-	fi
-  	
-		# this is likely unportable to Mac OS X or other netstat binaries
-  		for port in "8118" "9050"
-  			do
-			BOUND=`netstat -tan 2>&1|grep 127.0.0.1":${port}[^:]"|grep -v TIME_WAIT`
-			if [ "${BOUND}" ]; then
-			printf "\nLikely problem detected: It appears that you have something listening on ${port}\n"
-			printf "\nWe think this because of the following: ${BOUND}\n"
-			fi
-		done
-
-		printf "\nStarting Vidalia now\n"
-		cd "${HOME}"
-		printf "\nLaunching Vidalia from: `pwd`\n"
-		./Contents/MacOS/Vidalia --loglevel debug --logfile vidalia-debug-log \
-		--datadir ./Contents/Resources/Data/Vidalia/
-		printf "\nVidalia exited with the following return code: $?\n"
+	printf "\nStarting Vidalia now\n"
+	cd "${HOME}"
+	printf "\nLaunching Vidalia from: `pwd`\n"
+	./Contents/MacOS/Vidalia --loglevel debug --logfile vidalia-debug-log \
+	--datadir ./Contents/Resources/Data/Vidalia/
+	printf "\nVidalia exited with the following return code: $?\n"
 	exit
 fi